---

# TFTP and PXE setup
tftp_root: "/tftproot"
kickstart_root: "/kickstart"
kickstart_ip: "{{ ansible_default_ipv4.address}}"
kickstart_url: "http://{{ kickstart_ip }}/centos7"

epel7_gpg_url: https://artifactory.esss.lu.se/artifactory/epel-mirror-cache/RPM-GPG-KEY-EPEL-7

centos7_squashfs_url: https://artifactory.esss.lu.se/artifactory/list/centos-mirror/7.6.1810/os/x86_64/

isolinux_kernel_url: https://artifactory.esss.lu.se/artifactory/list/centos-mirror/7.6.1810/os/x86_64/isolinux/
pxe_kernel_path: "{{ tftp_root }}/images/centos7-x86_64/"
proxmox_deploy_user: "csi"

mtca_kernel_url: https://artifactory.esss.lu.se/artifactory/list/boot-images/cct/12176/
mtca_kernel_path: "{{ tftp_root }}/images/mtca/"

rh_version:
  - centos7
  - centos8


# tags to to make links (aka PXE menu filename)

tag_list:
  - localboot
  - default
  - IOC
  - LCR
  - Server
  - autoinstallTag1
  - thinclient
  - cct

# kickstart selection
machine_profile: default

# host targeting for boot menu
autoinstall_scope: labnetworks


# AWX template ID and parameters
setboot_job: "deploy-autoinstall_server@setboot"
post_reboot_job: run-post-install-configuration
autoinstall_server: autoinstall-lab.cslab.esss.lu.se

tower_host: torn.tn.esss.lu.se
tower_user: autoinstall
tower_password: !vault |
          $ANSIBLE_VAULT;1.1;AES256
          63643233343635396131636664663336643935656437623132633330373136323035303730626231
          6231383162316234613463376233366335386533343531390a323663656166616264376338336137
          34616137386537633032303666393362366663306332346262653563646138656332393937613331
          3032383363303335370a333835633833303062613162633566663232626139303939656133653034
          3462

kickstart_files:
  - clean_install.template
  - create_csi_user.template
  - default_packages.template
  - centos7-default.ks
  - add_repo.template
  - ansible_callback.template
  - firstboot.sh
  - centos7-thinclient.ks
  - thinclient_packages.template
